Bug 243355 - math/saga: Update to 7.5.0
Summary: math/saga: Update to 7.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-01-14 21:38 UTC by Rainer Hurling
Modified: 2020-01-17 20:18 UTC (History)
2 users (show)

See Also:


Attachments
patch to update math/saga from 7.3.0 to 7.5.0 (5.81 KB, patch)
2020-01-14 21:38 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling 2020-01-14 21:38:02 UTC
Created attachment 210741 [details]
patch to update math/saga from 7.3.0 to 7.5.0

This patch towards SAGA GIS version 7.5.0 brings many bug fixes and some enhancements.


What the port update should do:
- Update SAGA GIS to version 7.5.0 (skip 7.4.0)
- Change the clang compiler to default version
- Remove USES=desktop-file-utils 
- Change USE_WX from 3.0+ to 3.1+
- Use PGSQL_CONFIGURE_WITH instead of 
  PGSQL_CONFIGURE_OFF and PGSQL_CONFIGURE_ON
- src/saga_core/saga_gui/Makefile finds DATADIR itself now
- Update plist


Tested with Poudriere (F11.3i/a, F12.1i/a, and HEADi/a).

'portlint -AC' seems fine.
Comment 1 Automation User 2020-01-15 06:19:21 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/109371500
Comment 2 Tobias C. Berner freebsd_committer 2020-01-17 20:17:59 UTC
Committed. Thanks.
Comment 3 commit-hook freebsd_committer 2020-01-17 20:18:36 UTC
A commit references this bug:

Author: tcberner
Date: Fri Jan 17 20:17:50 UTC 2020
New revision: 523360
URL: https://svnweb.freebsd.org/changeset/ports/523360

Log:
  math/saga: Update to 7.5.0

  PR:		243355
  Submitted by:	Rainer Hurling <rhurlin@gwdg.de> (maintainer)

Changes:
  head/math/saga/Makefile
  head/math/saga/distinfo
  head/math/saga/pkg-plist